
/*! ============================================================================= */

/*! General styles for all widgets on the site. */

/*! ============================================================================= */
.site-widget {
	word-wrap: break-word;
	min-width: 0;
}

.site-widget::after {
	display: block;
	clear: both;
	content: "";
}

.site-widget a {
	color: inherit;
	text-decoration: none;
	transition: opacity 250ms;
}

.site-widget a:hover {
	color: inherit;
	opacity: .6;
}

.site-widget img, .site-widget select {
	max-width: 100%;
	height: auto;
}

.site-widget p {
	margin-bottom: .8rem;
}

.site-widget p:last-child {
	margin-bottom: 0;
}

.site-widget ul {
	list-style: none;
	margin: 0 0 1rem;
	padding: 0;
}

.site-widget ul > li {
	margin-bottom: .8rem;
}

.site-widget ul > li:last-child {
	margin-bottom: 0;
}

.site-widget ul ul {
	margin-top: .8rem;
	margin-left: 1rem;
}

.site-widget ul:last-child {
	margin-bottom: 0;
}

.site-widget ul > li > ul > li > ul > li > ul > li > ul > li > ul ul {
	/* fix for heavy-nested menus */
	margin-left: 0;
}

/*! ================================= search form styling */
.site-widget .search-form__icon-prepend svg, .site-widget .search-form__submit-btn svg {
	stroke-width: 2px;
}

/*! ================================= instagram latest photos widget */
.vc-instagram-widget a {
	display: inline-block;
	margin-top: 10px;
	text-transform: none;
	letter-spacing: 2px;
}

.site-widget.null-instagram-feed > ul.instagram-pics, .site-widget.widget_nazarkinre-wpiw > ul.instagram-pics {
	margin: -5px;
	display: flex;
	flex-wrap: wrap;
}

@media (max-width: 767.98px) {
	.site-widget.null-instagram-feed > ul.instagram-pics, .site-widget.widget_nazarkinre-wpiw > ul.instagram-pics {
		justify-content: center;
	}
}

.site-widget.null-instagram-feed > ul.instagram-pics > li, .site-widget.widget_nazarkinre-wpiw > ul.instagram-pics > li {
	position: relative;
	flex: 0 0 33.33333%;
	padding: 5px;
	min-width: 0;
	margin: 0;
}

.site-widget.null-instagram-feed > ul.instagram-pics > li a, .site-widget.widget_nazarkinre-wpiw > ul.instagram-pics > li a {
	position: absolute;
	top: 5px;
	left: 5px;
	right: 5px;
	bottom: 5px;
	z-index: 10;
	text-indent: -9999px;
	color: transparent;
}

.site-widget.null-instagram-feed > ul.instagram-pics > li:before, .site-widget.widget_nazarkinre-wpiw > ul.instagram-pics > li:before {
	content: "";
	display: block;
	padding-top: 100%;
}

.site-widget.null-instagram-feed > ul.instagram-pics img, .site-widget.widget_nazarkinre-wpiw > ul.instagram-pics img {
	position: absolute;
	top: 5px;
	left: 5px;
	width: calc(100% - 10px);
	height: calc(100% - 10px);
	-o-object-fit: cover;
	object-fit: cover;
	z-index: 5;
}

.site-widget.null-instagram-feed > ul.instagram-pics .hover-overlay, .site-widget.widget_nazarkinre-wpiw > ul.instagram-pics .hover-overlay {
	display: none;
}

/*! ================================= mailchimp subscribe widget */
.site-widget.widget_asra_theme_subscribe .mailchimp-ajax-form__input-wrap {
	position: relative;
	display: flex;
	width: 100%;
}

@media (max-width: 767.98px) {
	.site-widget.widget_asra_theme_subscribe .mailchimp-ajax-form__input-wrap {
		flex-direction: column;
	}
}

.site-widget.widget_asra_theme_subscribe .mailchimp-ajax-form__input-wrap:after {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	border: 1px solid currentColor;
	opacity: .5;
	z-index: 5;
}

.site-widget.widget_asra_theme_subscribe .mailchimp-ajax-form__input, .site-widget.widget_asra_theme_subscribe .mailchimp-ajax-form__button {
	position: relative;
	z-index: 10;
	border: 0;
	outline: none;
	box-shadow: none;
	background: transparent;
	-webkit-appearance: none;
	padding: 15px 25px;
	margin: 0;
	line-height: 25px;
	color: inherit;
	transition: opacity 250ms;
	min-width: 0;
}

@media (max-width: 767.98px) {
	.site-widget.widget_asra_theme_subscribe .mailchimp-ajax-form__input, .site-widget.widget_asra_theme_subscribe .mailchimp-ajax-form__button {
		text-align: center;
	}
}

.site-widget.widget_asra_theme_subscribe .mailchimp-ajax-form__input {
	flex: 1 1;
	font-size: 16px;
}

.site-widget.widget_asra_theme_subscribe .mailchimp-ajax-form__input::-webkit-input-placeholder {
	color: currentColor;
	opacity: .5;
}

.site-widget.widget_asra_theme_subscribe .mailchimp-ajax-form__input::-moz-placeholder {
	color: currentColor;
	opacity: .5;
}

.site-widget.widget_asra_theme_subscribe .mailchimp-ajax-form__input:-ms-input-placeholder {
	color: currentColor;
	opacity: .5;
}

.site-widget.widget_asra_theme_subscribe .mailchimp-ajax-form__input:-moz-placeholder {
	color: currentColor;
	opacity: .5;
}

.site-widget.widget_asra_theme_subscribe .mailchimp-ajax-form__button {
	flex: 0 0 auto;
	font-size: 12px;
	text-transform: uppercase;
	letter-spacing: 2px;
	font-weight: 500;
	cursor: pointer;
	text-align: center;
	white-space: nowrap;
}

.site-widget.widget_asra_theme_subscribe .mailchimp-ajax-form__button:after {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	bottom: 0;
	width: 1px;
	background: currentColor;
	opacity: .5;
	z-index: 5;
}

@media (max-width: 767.98px) {
	.site-widget.widget_asra_theme_subscribe .mailchimp-ajax-form__button:after {
		top: 0;
		left: 0;
		right: 0;
		bottom: auto;
		width: auto;
		height: 1px;
	}
}

.site-widget.widget_asra_theme_subscribe .mailchimp-ajax-form__button:hover {
	opacity: .6;
}

.site-widget.widget_asra_theme_subscribe .mailchimp-ajax-form__label {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	text-align: center;
	z-index: 15;
	margin: 0;
	padding: 10px 15px;
	font-size: 16px;
}

.site-widget.widget_asra_theme_subscribe .mailchimp-ajax-form__message {
	margin-top: 20px;
}

/*! ================================= enhanced widget with recent posts */
.site-widget.widget_asra_theme_recent-posts .recent-posts-widget-article + .recent-posts-widget-article {
	margin-top: 20px;
}

.site-widget.widget_asra_theme_recent-posts .recent-posts-widget-article {
	position: relative;
	display: flex;
	align-items: center;
	transition: opacity 250ms;
}

.site-widget.widget_asra_theme_recent-posts .recent-posts-widget-article__image {
	flex: 0 0 80px;
	margin-right: 20px;
}

.site-widget.widget_asra_theme_recent-posts .recent-posts-widget-article__title {
	font-size: 16px;
}

.site-widget.widget_asra_theme_recent-posts .recent-posts-widget-article__date {
	font-size: 11px;
	opacity: .5;
	letter-spacing: 2px;
	line-height: 1;
	text-transform: uppercase;
	margin-bottom: 7px;
}

.site-widget.widget_asra_theme_recent-posts .recent-posts-widget-article__link {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	color: transparent;
	text-indent: -9999px;
}

.site-widget.widget_asra_theme_recent-posts .recent-posts-widget-article:hover {
	opacity: .6;
}

/*! ================================= core widgets styling */
.site-widget.widget_categories label + select, .site-widget.widget_archive label + select {
	display: block;
}

.site-widget.widget_nav_menu, .site-widget.widget_categories, .site-widget.widget_archive {
	letter-spacing: 2px;
	text-transform: uppercase;
}

.site-widget.widget_nav_menu ul li, .site-widget.widget_categories ul li, .site-widget.widget_archive ul li {
	line-height: 30px;
	margin-bottom: 0;
}

.site-widget.widget_nav_menu ul ul, .site-widget.widget_categories ul ul, .site-widget.widget_archive ul ul {
	margin-top: 0;
}

.site-widget.widget_recent_entries ul li {
	margin-bottom: .5rem;
}

.site-widget.widget_recent_entries ul ul {
	margin-top: .5rem;
}

.site-widget.widget_calendar table {
	width: 100%;
	table-layout: fixed;
	margin: 0;
	padding: 0;
}

.site-widget.widget_calendar table th, .site-widget.widget_calendar table td {
	padding: .3rem;
}

.site-widget.widget_calendar table > caption {
	padding: 0;
	text-align: center;
	color: inherit;
}

.site-widget.widget_calendar table > tfoot td {
	padding-bottom: 0;
	border-bottom: 0;
}

.site-widget.widget_rss ul > li {
	margin-bottom: 20px;
}

.site-widget.widget_rss ul > li a {
	display: inline-block;
	margin-right: 5px;
}

.site-widget.widget_rss ul > li .rss-date {
	display: inline-block;
	opacity: .7;
	font-size: 80%;
	white-space: nowrap;
}

.site-widget.widget_rss ul > li .rssSummary {
	display: block;
	margin: 5px 0;
	opacity: .5;
}

.site-widget.widget_rss ul > li cite {
	font-size: 80%;
}

.site-widget.widget_rss ul > li:last-child {
	margin-bottom: 0;
}

.site-widget .tagcloud a {
	background: rgba(255, 255, 255, .3);
	padding: 5px;
	margin: 5px;
	white-space: nowrap;
	transition: background-color 250ms;
}

.site-widget .tagcloud a:hover {
	opacity: 1;
	background-color: rgba(255, 255, 255, .75);
}
